Как установить Deluge на Centos?

10295
NARKOZ

У меня проблема с установкой и запуском Deluge torrent на моем Centos 5 (x86). Я получаю это от http://dag.wieers.com/rpm/packages/deluge/ это: _http: //dag.wieers.com/rpm/packages/deluge/deluge-0.5.8.6-1.el5.rf. i386.rpm

после установки, когда я запускаю поток, я получаю эту проблему:

 Traceback (most recent call last): File "/usr/bin/deluge", line 43, in ? import deluge File "/usr/lib/python2.4/site-packages/deluge/__init__.py", line 36, in ? import gtk.glade File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 76, in ? _init() File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 64, in _init _gtk.init_check() RuntimeError: could not open display 

Я не являюсь пользователем root или пользователем. То же самое. Версия Python 2.4.3. Это сервер, на котором не установлено X-windows.

Спасибо за помощь.

3
Я просто хочу установить deluge-core, deluge-webui, deluge-console. NARKOZ 13 лет назад 0

3 ответа на вопрос

1
Iain

Обновление Python. Он ищет версию 2.4.

Кстати, если у вас нет X-windows, вам лучше попробовать rtorrent - клиент CLI bittorrent.

Извините, у меня была ошибка. Версия Python - 2.4.3. Спасибо, но мне нужен только потоп или кроррент. NARKOZ 13 лет назад 0
0
David Antaramian

Предполагая, что вы пытались запустить Deluge следующим образом:

deluge 

Для интерфейса на основе командной строки вы можете сделать это:

deluge --ui null 

или же:

deluge --ui console 

Или для веб-интерфейса:

deluge --ui web 

Для получения дополнительной информации см. FAQ Deluge по теме.

То же самое. Даже deluge --version отображает это сообщение об ошибке. Спасибо за ответ. NARKOZ 13 лет назад 0
Readme, кажется, предоставляет несколько различных вариантов. http://dev.deluge-torrent.org/browser/trunk/README Возможно, что RPM связывал потоп с deluge-gtk. Вы можете попробовать следующие варианты: deluge-console, deluge-web. Или просто запустить демон, затопленный. Вы можете посмотреть на README для получения дополнительной информации. David Antaramian 13 лет назад 0
0
John T

Я бы предложил обновить как Python, так и Deluge. Deluge сейчас на версии 1.2.0, опережая 0.5.8.6. У меня Deluge (последний) работает с Python 2.6.4 гладко.

Похоже, ваша версия не только ищет Python 2.4, но и хочет открыть дисплей. Убедитесь, что вы используете правильные аргументы командной строки для режима консоли, как обрисовал в общих чертах Дэвид. Вы должны сначала запустить демон перед подключением через консоль. Смотрите FAQ по Deluge на консоли и демоне .

Похожие вопросы